Bug 825833 - default configuration of Hostname causes conflicts and false alarms
default configuration of Hostname causes conflicts and false alarms
Product: Fedora EPEL
Classification: Fedora
Component: zabbix (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-05-28 11:49 EDT by Paul Wouters
Modified: 2013-11-21 12:37 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-11-20 16:14:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2012-05-28 11:49:17 EDT
Description of problem:
I'm new to zabbix, but it seems that the default "Hostname=Zabbix Server" in the agent file is both wrong and misleading. It should be the name of the client not the server. It should also be unique, so by setting this, you break the default agent install. 

I believe this option should be left unset, so it defaults to the HostItem using the hostname of the machine it runs on.
Comment 1 Volker Fröhlich 2012-05-28 17:00:50 EDT
Adding to the discussion:

This setting is upstream's default. Upstreams idea with this is, getting Zabbix up and running as quick as possible. While I don't like that setting a lot either, I don't consider it a huge problem. You have to configure your agent anyways -- be it just to configure the server address.

"Hostname" is only used for active items, being, the agent creates a TCP connection to the server. If two agents on different machines use the same "Hostname", the server accepts data from both of them. There seems to be no way to detect that on the server side, right now.

I'm not sure if this is exactly what you are describing though. The "Hostname" in Zabbix does not have to reflect the real name of the machine at all. It is totally arbitrary. As you already stated, the name must be unique in the Zabbix database.

Just using the default HostNameItem does not necessarily result in a unique name, as it is not the FQDN.
Comment 2 Paul Wouters 2012-06-04 18:40:21 EDT
But at least it will not mislead you into thinking that the option specifies the server name, not the client name.
Comment 3 Volker Fröhlich 2012-07-26 02:35:53 EDT
While this could, of course, be changed in EPEL/Fedora, Dan Horak is inclined to stick with upstream as close as feasible.

May I suggest to rather discuss this matter there, as it affects Zabbix users in general?
Comment 4 Volker Fröhlich 2012-08-16 02:40:44 EDT
I just stumbled upon

Comment 5 Volker Fröhlich 2012-10-15 13:17:48 EDT
What are we going to do now?
Comment 6 Volker Fröhlich 2013-11-20 16:14:16 EST
With the upstream ticket marked as WONTFIX and no useful solution to the problem: WONTFIX.
Comment 7 Paul Wouters 2013-11-21 12:37:05 EST
I disagree with this outcome, but I gave up on running zabbix a long time ago.

Note You need to log in before you can comment on or make changes to this bug.